# FvwmCommand.pm
# Collection of fvwm builtin commands for FvwmCommand
package FvwmCommand;
use Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(
  addbuttonstyle addtitlestyle addtodecor addtofunc addtomenu
  all animatedmove beep borderstyle bugopts
  busycursor buttonstate buttonstyle changedecor changemenustyle
  clicktime close colorlimit colormapfocus colorset
  current cursormove cursorstyle defaultcolors defaultcolorset
  defaultfont defaulticon defaultlayers delete desk
  desktopsize destroy destroydecor destroyfunc destroymenu
  destroymenustyle destroymoduleconfig destroystyle direction echo
  edgeresistance edgescroll edgethickness emulate escapefunc
  exec execuseshell flipfocus focus function
  globalopts gnomebutton gnomeshowdesks gotodesk gotodeskandpage
  gotopage hidegeometrywindow hilightcolor hilightcolorset iconfont
  iconify iconpath ignoremodifiers imagepath key
  killmodule layer lower maximize menu
  menustyle module modulepath modulesynchronous moduletimeout
  mouse move movethreshold movetodesk movetopage
  next none nop opaquemovesize pick
  piperead pixmappath placeagain pointerkey popup
  prev quit quitscreen quitsession raise
  raiselower read recapture recapturewindow refresh
  refreshwindow resize resizemove restart savequitsession
  savesession scroll send_configinfo send_windowlist sendtomodule
  set_mask set_nograb_mask set_sync_mask setanimation setenv
  snapattraction snapgrid stick stroke strokefunc
  style title titlestyle updatedecor updatestyles
  wait warptowindow windowfont windowid windowlist
  windowsdesk windowshade windowshadeanimate xorpixmap xorvalue
);

sub FvwmCommand { system "/usr/X11R6/bin/FvwmCommand '@_'"}

sub addbuttonstyle { FvwmCommand "addbuttonstyle @_ " }
sub addtitlestyle { FvwmCommand "addtitlestyle @_ " }
sub addtodecor { FvwmCommand "addtodecor @_ " }
sub addtofunc { FvwmCommand "addtofunc @_ " }
sub addtomenu { FvwmCommand "addtomenu @_ " }
sub all { FvwmCommand "all @_ " }
sub animatedmove { FvwmCommand "animatedmove @_ " }
sub beep { FvwmCommand "beep @_ " }
sub borderstyle { FvwmCommand "borderstyle @_ " }
sub bugopts { FvwmCommand "bugopts @_ " }
sub busycursor { FvwmCommand "busycursor @_ " }
sub buttonstate { FvwmCommand "buttonstate @_ " }
sub buttonstyle { FvwmCommand "buttonstyle @_ " }
sub changedecor { FvwmCommand "changedecor @_ " }
sub changemenustyle { FvwmCommand "changemenustyle @_ " }
sub clicktime { FvwmCommand "clicktime @_ " }
sub close { FvwmCommand "close @_ " }
sub colorlimit { FvwmCommand "colorlimit @_ " }
sub colormapfocus { FvwmCommand "colormapfocus @_ " }
sub colorset { FvwmCommand "colorset @_ " }
sub current { FvwmCommand "current @_ " }
sub cursormove { FvwmCommand "cursormove @_ " }
sub cursorstyle { FvwmCommand "cursorstyle @_ " }
sub defaultcolors { FvwmCommand "defaultcolors @_ " }
sub defaultcolorset { FvwmCommand "defaultcolorset @_ " }
sub defaultfont { FvwmCommand "defaultfont @_ " }
sub defaulticon { FvwmCommand "defaulticon @_ " }
sub defaultlayers { FvwmCommand "defaultlayers @_ " }
sub delete { FvwmCommand "delete @_ " }
sub desk { FvwmCommand "desk @_ " }
sub desktopsize { FvwmCommand "desktopsize @_ " }
sub destroy { FvwmCommand "destroy @_ " }
sub destroydecor { FvwmCommand "destroydecor @_ " }
sub destroyfunc { FvwmCommand "destroyfunc @_ " }
sub destroymenu { FvwmCommand "destroymenu @_ " }
sub destroymenustyle { FvwmCommand "destroymenustyle @_ " }
sub destroymoduleconfig { FvwmCommand "destroymoduleconfig @_ " }
sub destroystyle { FvwmCommand "destroystyle @_ " }
sub direction { FvwmCommand "direction @_ " }
sub echo { FvwmCommand "echo @_ " }
sub edgeresistance { FvwmCommand "edgeresistance @_ " }
sub edgescroll { FvwmCommand "edgescroll @_ " }
sub edgethickness { FvwmCommand "edgethickness @_ " }
sub emulate { FvwmCommand "emulate @_ " }
sub escapefunc { FvwmCommand "escapefunc @_ " }
sub exec { FvwmCommand "exec @_ " }
sub execuseshell { FvwmCommand "execuseshell @_ " }
sub flipfocus { FvwmCommand "flipfocus @_ " }
sub focus { FvwmCommand "focus @_ " }
sub function { FvwmCommand "function @_ " }
sub globalopts { FvwmCommand "globalopts @_ " }
sub gnomebutton { FvwmCommand "gnomebutton @_ " }
sub gnomeshowdesks { FvwmCommand "gnomeshowdesks @_ " }
sub gotodesk { FvwmCommand "gotodesk @_ " }
sub gotodeskandpage { FvwmCommand "gotodeskandpage @_ " }
sub gotopage { FvwmCommand "gotopage @_ " }
sub hidegeometrywindow { FvwmCommand "hidegeometrywindow @_ " }
sub hilightcolor { FvwmCommand "hilightcolor @_ " }
sub hilightcolorset { FvwmCommand "hilightcolorset @_ " }
sub iconfont { FvwmCommand "iconfont @_ " }
sub iconify { FvwmCommand "iconify @_ " }
sub iconpath { FvwmCommand "iconpath @_ " }
sub ignoremodifiers { FvwmCommand "ignoremodifiers @_ " }
sub imagepath { FvwmCommand "imagepath @_ " }
sub key { FvwmCommand "key @_ " }
sub killmodule { FvwmCommand "killmodule @_ " }
sub layer { FvwmCommand "layer @_ " }
sub lower { FvwmCommand "lower @_ " }
sub maximize { FvwmCommand "maximize @_ " }
sub menu { FvwmCommand "menu @_ " }
sub menustyle { FvwmCommand "menustyle @_ " }
sub module { FvwmCommand "module @_ " }
sub modulepath { FvwmCommand "modulepath @_ " }
sub modulesynchronous { FvwmCommand "modulesynchronous @_ " }
sub moduletimeout { FvwmCommand "moduletimeout @_ " }
sub mouse { FvwmCommand "mouse @_ " }
sub move { FvwmCommand "move @_ " }
sub movethreshold { FvwmCommand "movethreshold @_ " }
sub movetodesk { FvwmCommand "movetodesk @_ " }
sub movetopage { FvwmCommand "movetopage @_ " }
sub next { FvwmCommand "next @_ " }
sub none { FvwmCommand "none @_ " }
sub nop { FvwmCommand "nop @_ " }
sub opaquemovesize { FvwmCommand "opaquemovesize @_ " }
sub pick { FvwmCommand "pick @_ " }
sub piperead { FvwmCommand "piperead @_ " }
sub pixmappath { FvwmCommand "pixmappath @_ " }
sub placeagain { FvwmCommand "placeagain @_ " }
sub pointerkey { FvwmCommand "pointerkey @_ " }
sub popup { FvwmCommand "popup @_ " }
sub prev { FvwmCommand "prev @_ " }
sub quit { FvwmCommand "quit @_ " }
sub quitscreen { FvwmCommand "quitscreen @_ " }
sub quitsession { FvwmCommand "quitsession @_ " }
sub raise { FvwmCommand "raise @_ " }
sub raiselower { FvwmCommand "raiselower @_ " }
sub read { FvwmCommand "read @_ " }
sub recapture { FvwmCommand "recapture @_ " }
sub recapturewindow { FvwmCommand "recapturewindow @_ " }
sub refresh { FvwmCommand "refresh @_ " }
sub refreshwindow { FvwmCommand "refreshwindow @_ " }
sub resize { FvwmCommand "resize @_ " }
sub resizemove { FvwmCommand "resizemove @_ " }
sub restart { FvwmCommand "restart @_ " }
sub savequitsession { FvwmCommand "savequitsession @_ " }
sub savesession { FvwmCommand "savesession @_ " }
sub scroll { FvwmCommand "scroll @_ " }
sub send_configinfo { FvwmCommand "send_configinfo @_ " }
sub send_windowlist { FvwmCommand "send_windowlist @_ " }
sub sendtomodule { FvwmCommand "sendtomodule @_ " }
sub set_mask { FvwmCommand "set_mask @_ " }
sub set_nograb_mask { FvwmCommand "set_nograb_mask @_ " }
sub set_sync_mask { FvwmCommand "set_sync_mask @_ " }
sub setanimation { FvwmCommand "setanimation @_ " }
sub setenv { FvwmCommand "setenv @_ " }
sub snapattraction { FvwmCommand "snapattraction @_ " }
sub snapgrid { FvwmCommand "snapgrid @_ " }
sub stick { FvwmCommand "stick @_ " }
sub stroke { FvwmCommand "stroke @_ " }
sub strokefunc { FvwmCommand "strokefunc @_ " }
sub style { FvwmCommand "style @_ " }
sub title { FvwmCommand "title @_ " }
sub titlestyle { FvwmCommand "titlestyle @_ " }
sub updatedecor { FvwmCommand "updatedecor @_ " }
sub updatestyles { FvwmCommand "updatestyles @_ " }
sub wait { FvwmCommand "wait @_ " }
sub warptowindow { FvwmCommand "warptowindow @_ " }
sub windowfont { FvwmCommand "windowfont @_ " }
sub windowid { FvwmCommand "windowid @_ " }
sub windowlist { FvwmCommand "windowlist @_ " }
sub windowsdesk { FvwmCommand "windowsdesk @_ " }
sub windowshade { FvwmCommand "windowshade @_ " }
sub windowshadeanimate { FvwmCommand "windowshadeanimate @_ " }
sub xorpixmap { FvwmCommand "xorpixmap @_ " }
sub xorvalue { FvwmCommand "xorvalue @_ " }
sub AM { FvwmCommand "+ @_ " }
1;
